Package org.apache.solr.client.solrj.response

# Class StreamingJavaBinResponseParser

java.lang.Object
org.apache.solr.client.solrj.response.ResponseParser
org.apache.solr.client.solrj.response.JavaBinResponseParser
org.apache.solr.client.solrj.response.StreamingJavaBinResponseParser

public class StreamingJavaBinResponseParser extends JavaBinResponseParser
A BinaryResponseParser that sends callback events rather than build a large response

Since:
  solr 4.0

## Field Summary

Fields
Modifier and Type
Field
Description
`final StreamingResponseCallback`
`callback`
`final FastStreamingDocsCallback`
`fastCallback`

### Fields inherited from class org.apache.solr.client.solrj.response.JavaBinResponseParser

`JAVABIN_CONTENT_TYPE, JAVABIN_CONTENT_TYPE_V2, stringCache`

## Constructor Summary

Constructors
Constructor
Description
`StreamingJavaBinResponseParser(FastStreamingDocsCallback cb)`
`StreamingJavaBinResponseParser(StreamingResponseCallback cb)`

## Method Summary

Modifier and Type
Method
Description
`NamedList<Object>`
`processResponse(InputStream body, String encoding)`

### Methods inherited from class org.apache.solr.client.solrj.response.JavaBinResponseParser

`createCodec, getContentTypes, getWriterType, setStringCache`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### callback

public final StreamingResponseCallback callback

### fastCallback

public final FastStreamingDocsCallback fastCallback

## Constructor Details

### StreamingJavaBinResponseParser

public StreamingJavaBinResponseParser(StreamingResponseCallback cb)

### StreamingJavaBinResponseParser

public StreamingJavaBinResponseParser(FastStreamingDocsCallback cb)

## Method Details

### processResponse

public NamedList<Object> processResponse(InputStream body, String encoding) throws IOException

Overrides:
  `processResponse` in class `JavaBinResponseParser`
Throws:
  `IOException`